| hpc-0.5.0.1: Code Coverage Library for Haskell | Source code | Contents | Index

Trace.Hpc.Util

Description
Minor utilities for the HPC tools.
Synopsis

data HpcPos
fromHpcPos :: HpcPos -> (Int, Int, Int, Int)
toHpcPos :: (Int, Int, Int, Int) -> HpcPos
insideHpcPos :: HpcPos -> HpcPos -> Bool
class HpcHash a where

toHash :: a -> Hash

data Hash

Documentation

data HpcPos | Source

`HpcPos` is an Hpc local rendition of a Span.
Instances

Eq HpcPos
HpcHash HpcPos
Ord HpcPos
Read HpcPos
Show HpcPos

fromHpcPos :: HpcPos -> (Int, Int, Int, Int) | Source

`fromHpcPos` explodes the HpcPos into line:column-line:colunm

toHpcPos :: (Int, Int, Int, Int) -> HpcPos | Source

`toHpcPos` implodes to HpcPos, from line:column-line:colunm

insideHpcPos :: HpcPos -> HpcPos -> Bool | Source

asks the question, is the first argument inside the second argument.

class HpcHash a where | Source

Methods

toHash :: a -> Hash | Source

Instances

HpcHash Bool
HpcHash BoxLabel
HpcHash Char
HpcHash CondBox
HpcHash HpcPos
HpcHash Int
HpcHash Integer
(HpcHash a, HpcHash b) => HpcHash (a, b)
HpcHash a => HpcHash [a]

data Hash | Source

Instances

Eq Hash
Num Hash
Read Hash
Show Hash

Produced by Haddock version 0.9